---
primaryTopic:
  Accounts:
    AccountCategory: MICRO
    AccountRefDay: 31
    AccountRefMonth: 10
    LastMadeUpDate: 31/10/2022
    NextDueDate: 31/07/2024
  CompanyCategory: Private Limited Company
  CompanyName: AM AGRI LIMITED
  CompanyNumber: SC712302
  CompanyStatus: Active
  CountryOfOrigin: United Kingdom
  IncorporationDate: 15/10/2021
  RegAddress:
    AddressLine1: GARTHFIELD
    AddressLine2: PADANARAM
    PostTown: FORFAR
    County: ANGUS
    Country: SCOTLAND
    Postcode: DD8 1PF
  Returns:
    LastMadeUpDate: 12/10/2023
    NextDueDate: 26/10/2024
  SICCodes:
    SicText:
      - '33120 - Repair of machinery'
      - '46140 - Agents involved in the sale of machinery, industrial equipment, ships and aircraft'
